I just released RubyScript2Exe 0.5.0.

I added something I wanted to add for a long time: Support for
directories. Usually, an application is more than just a
program or a script. It consists of libraries, documentation,
help files, configuration files, images, licenses, readmes, and
so on. You can embed all of them in one single executable. This
directory is available via RUBYSCRIPT2EXE.appdir(item, &block).

This version is not compatible with previous versions! Please
reread the section "3.3. From Inside your Application" if
you're already familiar with RubyScript2Exe. If your script
knew about RubyScript2Exe, well, it doesn't anymore... You have
to change a couple of things. Minor changes, takes only a
couple of minutes. Sorry about this... ;]

For compatibility reasons, I had to update AllInOneRuby as
well. Only low level changes. Forget about it. Just update.

More information and download on:

 http://www.erikveen.dds.nl/rubyscript2exe/index.html
 http://www.erikveen.dds.nl/allinoneruby/index.html

gegroet,
Erik V. - http://www.erikveen.dds.nl/

----------------------------------------------------------------

WHAT IS RUBYSCRIPT2EXE?

RubyScript2Exe transforms your Ruby application into a
standalone, compressed Windows, Linux or Mac OS X (Darwin)
executable. You can look at it as a "compiler". Not in the
sense of a source-code-to-byte-code compiler, but as a
"collector", for it collects all necessary files to run your
script on an other machine: the Ruby script, the Ruby
interpreter and the Ruby runtime library (stripped down for
this script). Anyway, the result is the same: a standalone
executable (application.exe). And that's what we want!

----------------------------------------------------------------

CHANGES:

* Added support for directories.

* Introduced require "rubyscript2exe.rb".

* Added a check for readability in EEE.

* Replaced RUBYSCRIPT2EXE_* by RUBYSCRIPT.*= and
  RUBYSCRIPT2EXE::* (see application.rb).

* Added RUBYSCRIPT2EXE.appdir(item) and
  RUBYSCRIPT2EXE.is_compil*?.

* If you already used RubyScript2Exe before, please reread the
  section "From Inside your Application", since it isn't 100%
  backwards compatible.

----------------------------------------------------------------